"use strict";

exports.__esModule = true;
exports.FORM_OBJECT_COMPONENT_MAPPINGS = void 0;

var _formObjectTypes = require("./form-object-types.definition");

var _components = require("../components");

var _FORM_OBJECT_COMPONEN;

var FORM_OBJECT_COMPONENT_MAPPINGS = (_FORM_OBJECT_COMPONEN = {}, _FORM_OBJECT_COMPONEN[_formObjectTypes.FORM_OBJECT_TYPES.CONTAINER] = _components.BSFormObjectContainer, _FORM_OBJECT_COMPONEN[_formObjectTypes.FORM_OBJECT_TYPES.CELL] = _components.BSFormObjectCell, _FORM_OBJECT_COMPONEN[_formObjectTypes.FORM_OBJECT_TYPES.IMAGE] = _components.BsFormObjectImage, _FORM_OBJECT_COMPONEN[_formObjectTypes.FORM_OBJECT_TYPES.INPUT] = _components.BSFormObjectInput, _FORM_OBJECT_COMPONEN[_formObjectTypes.FORM_OBJECT_TYPES.SELECT] = _components.BSFormObjectSelect, _FORM_OBJECT_COMPONEN[_formObjectTypes.FORM_OBJECT_TYPES.BUTTON] = _components.BSFormObjectButton, _FORM_OBJECT_COMPONEN[_formObjectTypes.FORM_OBJECT_TYPES.CHECKBOX] = _components.BSFormObjectCheckbox, _FORM_OBJECT_COMPONEN[_formObjectTypes.FORM_OBJECT_TYPES.HEADING] = _components.BSFormObjectHeading, _FORM_OBJECT_COMPONEN[_formObjectTypes.FORM_OBJECT_TYPES.RADIO] = _components.BSFormObjectRadio, _FORM_OBJECT_COMPONEN[_formObjectTypes.FORM_OBJECT_TYPES.RADIO_GROUP] = _components.BSFormObjectRadioGroup, _FORM_OBJECT_COMPONEN[_formObjectTypes.FORM_OBJECT_TYPES.TEXTAREA] = _components.BSFormObjectTextarea, _FORM_OBJECT_COMPONEN[_formObjectTypes.FORM_OBJECT_TYPES.USER_UPLOADER] = null, _FORM_OBJECT_COMPONEN[_formObjectTypes.FORM_OBJECT_TYPES.LABEL] = _components.BSFormObjectLabel, _FORM_OBJECT_COMPONEN[_formObjectTypes.FORM_OBJECT_TYPES.ADDRESS] = _components.BSFormObjectAddress, _FORM_OBJECT_COMPONEN[_formObjectTypes.FORM_OBJECT_TYPES.NEW_LINE] = _components.BSFormObjectNewLine, _FORM_OBJECT_COMPONEN[_formObjectTypes.FORM_OBJECT_TYPES.TEXT] = _components.BSFormObjectText, _FORM_OBJECT_COMPONEN[_formObjectTypes.FORM_OBJECT_TYPES.VIDEO] = _components.BsFormObjectVideo, _FORM_OBJECT_COMPONEN);
exports.FORM_OBJECT_COMPONENT_MAPPINGS = FORM_OBJECT_COMPONENT_MAPPINGS;