var _excluded = ["style", "className", "view", "object", "objectPath", "wrapperComponent", "throughProps", "onObjectData", "onSignalSubmit", "onValidData"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import { get, pick } from "lodash";
import React, { useState, useEffect } from "react";
import styles from "./button.styles.scss";
import { getDefaultView } from "../../utils/others.util";
import { getStyleForSettings } from "../../utils/style.util";
export function BSFormObjectButton(_ref) {
  var _ref$style = _ref.style,
      style = _ref$style === void 0 ? {} : _ref$style,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? "" : _ref$className,
      _ref$view = _ref.view,
      view = _ref$view === void 0 ? getDefaultView() : _ref$view,
      object = _ref.object,
      objectPath = _ref.objectPath,
      _ref$wrapperComponent = _ref.wrapperComponent,
      wrapperComponent = _ref$wrapperComponent === void 0 ? null : _ref$wrapperComponent,
      _ref$throughProps = _ref.throughProps,
      throughProps = _ref$throughProps === void 0 ? {} : _ref$throughProps,
      _ref$onObjectData = _ref.onObjectData,
      onObjectData = _ref$onObjectData === void 0 ? null : _ref$onObjectData,
      _ref$onSignalSubmit = _ref.onSignalSubmit,
      onSignalSubmit = _ref$onSignalSubmit === void 0 ? null : _ref$onSignalSubmit,
      _ref$onValidData = _ref.onValidData,
      onValidData = _ref$onValidData === void 0 ? null : _ref$onValidData,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  var _useState = useState({}),
      styleFollowingEvents = _useState[0],
      setStyleFollowingEvents = _useState[1];

  var _useState2 = useState(false),
      actived = _useState2[0],
      setActived = _useState2[1];

  var settings = get(object, "settings") || {};
  var normalStyle = getStyleForSettings["styleGroups"](get(settings, ["buttonStates", "normal"]), view);
  var hoverStyle = getStyleForSettings["styleGroups"](get(settings, ["buttonStates", "hover"]), view);
  var activeStyle = getStyleForSettings["styleGroups"](get(settings, ["buttonStates", "active"]), view);

  var wrapperStyle = _extends({}, getStyleForSettings["styleGroups"](pick(settings, ["padding", "margin", "height", "width", "alignment", "text", "contentAlignment"])), {
    display: "flex",
    alignItems: "center",
    justContent: "center"
  }, style || {});

  var WrapperComponent = wrapperComponent;
  useEffect(function () {
    setStyleFollowingEvents(normalStyle);
  }, []);
  return WrapperComponent ? /*#__PURE__*/React.createElement(WrapperComponent, _extends({
    object: object,
    objectPath: objectPath,
    className: styles.container + " " + (className || "") + " " + (get(settings, "customClassName") || ""),
    style: _extends({}, wrapperStyle, styleFollowingEvents),
    onMouseEnter: function onMouseEnter() {
      return setStyleFollowingEvents(_extends({}, hoverStyle));
    },
    onMouseLeave: function onMouseLeave() {
      return setStyleFollowingEvents(_extends({}, actived ? activeStyle : normalStyle));
    },
    onClick: onSignalSubmit
  }, props), get(settings, ["buttonMore", "label"])) : /*#__PURE__*/React.createElement("div", _extends({
    className: styles.container + " " + (className || "") + " " + (get(settings, "customClassName") || ""),
    style: _extends({}, wrapperStyle, styleFollowingEvents),
    onMouseEnter: function onMouseEnter() {
      return setStyleFollowingEvents(_extends({}, hoverStyle));
    },
    onMouseLeave: function onMouseLeave() {
      return setStyleFollowingEvents(_extends({}, actived ? activeStyle : normalStyle));
    },
    onClick: onSignalSubmit
  }, props), get(settings, ["buttonMore", "label"]));
}